diff --git a/game/client/src/main/java/net/minecraft/client/entity/player/PlayerLocal.java b/game/client/src/main/java/net/minecraft/client/entity/player/PlayerLocal.java
index 892543eba..1cdc6fd7b 100644
--- a/game/client/src/main/java/net/minecraft/client/entity/player/PlayerLocal.java
+++ b/game/client/src/main/java/net/minecraft/client/entity/player/PlayerLocal.java
@@ -39,12 +39,12 @@ import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.GetSkinUrlThread;
 import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.Dimension;
 import net.minecraft.core.world.World;
-import net.minecraft.core.world.pos.TilePos;
+import net.minecraft.core.world.pos.TilePosc;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
+import org.joml.primitives.AABBdc;
 import org.slf4j.Logger;
 
 import java.util.function.Function;
@@ -59,37 +59,37 @@ public class PlayerLocal extends Player
     public PlayerLocal(Minecraft minecraft, World world, Session session, int dimension)
     {
         super(world);
-        mc = minecraft;
+        this.mc = minecraft;
         this.dimension = dimension;
-        username = session.username;
-        uuid = session.uuid;
-
-        playerConfig.setLeftHand(minecraft.gameSettings.playerLeftHanded.value);
-        playerConfig.setCape(minecraft.gameSettings.playerCape.value);
-        playerConfig.setHat(minecraft.gameSettings.playerHat.value);
-        playerConfig.setJacket(minecraft.gameSettings.playerJacket.value);
-        playerConfig.setSleeveLeft(minecraft.gameSettings.playerSleeveLeft.value);
-        playerConfig.setSleeveRight(minecraft.gameSettings.playerSleeveRight.value);
-        playerConfig.setPantLeft(minecraft.gameSettings.playerPantLeft.value);
-        playerConfig.setPantRight(minecraft.gameSettings.playerPantRight.value);
+        this.username = session.username;
+        this.uuid = session.uuid;
+
+        this.playerConfig.setLeftHand(minecraft.gameSettings.playerLeftHanded.value);
+        this.playerConfig.setCape(minecraft.gameSettings.playerCape.value);
+        this.playerConfig.setHat(minecraft.gameSettings.playerHat.value);
+        this.playerConfig.setJacket(minecraft.gameSettings.playerJacket.value);
+        this.playerConfig.setSleeveLeft(minecraft.gameSettings.playerSleeveLeft.value);
+        this.playerConfig.setSleeveRight(minecraft.gameSettings.playerSleeveRight.value);
+        this.playerConfig.setPantLeft(minecraft.gameSettings.playerPantLeft.value);
+        this.playerConfig.setPantRight(minecraft.gameSettings.playerPantRight.value);
 
         new GetSkinUrlThread(this);
-        LOGGER.info("logged in with session name: {}", username);
+        LOGGER.info("logged in with session name: {}", this.username);
     }
 
     public float getFovModifier() {
         float f = 1.0f;
-        f *= ((speed * 1.0f) / baseSpeed + 1.0f) / 2.0f; // sprinting
-        f *= heldObject == null ? 1f : 0.8f; // Slightly decrease fov while holding carried object
+        f *= ((this.speed) / this.baseSpeed + 1.0f) / 2.0f; // sprinting
+        f *= this.heldObject == null ? 1f : 0.8f; // Slightly decrease fov while holding carried object
         return f;
     }
 
-    public AABB getBb()
+    public @Nullable AABBdc getCollisionAABB()
     {
-        if (noPhysics) {
+        if (this.noPhysics) {
             return null;
         } else {
-            return super.getBb();
+            return super.getCollisionAABB();
         }
     }
     
@@ -97,9 +97,9 @@ public class PlayerLocal extends Player
     public void updateAI()
     {
         super.updateAI();
-        moveStrafing = input.moveStrafe;
-        moveForward = input.moveForward;
-        isJumping = input.jump;
+        this.moveStrafing = this.input.moveStrafe;
+        this.moveForward = this.input.moveForward;
+        this.isJumping = this.input.jump;
     }
 
     @Override
@@ -107,26 +107,26 @@ public class PlayerLocal extends Player
     {
         this.gamemode = gamemode;
 
-        MenuInventory newContainer = gamemode.getContainer(this.inventory, !world.isClientSide);
-        if (craftingInventory == inventorySlots)
+        MenuInventory newContainer = gamemode.getContainer(this.inventory, !this.world.isClientSide);
+        if (this.craftingInventory == this.inventorySlots)
         {
-            craftingInventory = newContainer;
+            this.craftingInventory = newContainer;
         }
-        inventorySlots = newContainer;
+        this.inventorySlots = newContainer;
         if (!gamemode.canPlayerFly())
         {
-            noPhysics = false;
+            this.noPhysics = false;
         }
 
-        fireImmune = gamemode.isImmuneToFire();
+        this.fireImmune = gamemode.isImmuneToFire();
     }
 
     @Override
     public void onLivingUpdate()
     {
-        if (sprintTimer > 0)
+        if (this.sprintTimer > 0)
         {
-            sprintTimer--;
+            this.sprintTimer--;
         }
 
         AchievementToast invToast = new AchievementToast(Achievements.OPEN_INVENTORY, true);
@@ -145,136 +145,136 @@ public class PlayerLocal extends Player
             this.mc.guiToasts.addToast(guideToast);
         }
 
-        prevTimeInPortal = timeInPortal;
-        if(inPortal && !noPhysics)
+        this.prevTimeInPortal = this.timeInPortal;
+        if(this.inPortal && !this.noPhysics)
         {
-            if(!world.isClientSide && vehicle != null)
+            if(!this.world.isClientSide && this.vehicle != null)
             {
                 startRiding(null);
             }
-            if(mc.currentScreen instanceof ScreenContainerAbstract) // Close out of containers like the inventory
+            if(this.mc.currentScreen instanceof ScreenContainerAbstract) // Close out of containers like the inventory
             {
-                mc.displayScreen(null);
+                this.mc.displayScreen(null);
             }
-            if(timeInPortal == 0.0F)
+            if(this.timeInPortal == 0.0F)
             {
-                mc.sndManager.playSound("portal.trigger", SoundCategory.WORLD_SOUNDS, 1.0F, random.nextFloat() * 0.4F + 0.8F);
+                this.mc.sndManager.playSound("portal.trigger", SoundCategory.WORLD_SOUNDS, 1.0F, this.random.nextFloat() * 0.4F + 0.8F);
             }
-            timeInPortal += 0.0125F;
-            if(timeInPortal >= 1.0F || getGamemode().instantPortalTravel())
+            this.timeInPortal += 0.0125F;
+            if(this.timeInPortal >= 1.0F || getGamemode().instantPortalTravel())
             {
-                timeInPortal = 1.0F;
-                if(!world.isClientSide)
+                this.timeInPortal = 1.0F;
+                if(!this.world.isClientSide)
                 {
-                    timeUntilPortal = 10;
-                    mc.sndManager.playSound("portal.travel", SoundCategory.WORLD_SOUNDS, 1.0F, random.nextFloat() * 0.4F + 0.8F);
-                    Dimension targetDim = ((BlockLogicPortal) Blocks.blocksList[portalID].getLogic()).targetDimension;
-                    if (dimension == targetDim.id)
+                    this.timeUntilPortal = 10;
+                    this.mc.sndManager.playSound("portal.travel", SoundCategory.WORLD_SOUNDS, 1.0F, this.random.nextFloat() * 0.4F + 0.8F);
+                    Dimension targetDim = ((BlockLogicPortal) Blocks.blocksList[this.portalID].getLogic()).targetDimension;
+                    if (this.dimension == targetDim.id)
                     {
-                        mc.usePortal(0, portalColor);
+                        this.mc.usePortal(0, this.portalColor);
                     }
                     else
                     {
-                        mc.usePortal(targetDim.id, portalColor);
+                        this.mc.usePortal(targetDim.id, this.portalColor);
                     }
                 }
             }
-            inPortal = false;
+            this.inPortal = false;
         } else
         {
-            if(timeInPortal > 0.0F)
+            if(this.timeInPortal > 0.0F)
             {
-                timeInPortal -= 0.05F;
+                this.timeInPortal -= 0.05F;
             }
-            if(timeInPortal < 0.0F)
+            if(this.timeInPortal < 0.0F)
             {
-                timeInPortal = 0.0F;
+                this.timeInPortal = 0.0F;
             }
         }
-        if(timeUntilPortal > 0)
+        if(this.timeUntilPortal > 0)
         {
-            timeUntilPortal--;
+            this.timeUntilPortal--;
         }
         float f = 0.8f;
-        boolean forwardInput = input.moveForward >= f;
-        input.tick(this);
+        boolean forwardInput = this.input.moveForward >= f;
+        this.input.tick(this);
 //        if(input.sneak && ySlideOffset < 0.45F)
 //        {
 //            ySlideOffset = 0.45F;
 //        }
-        checkInTile(x - (double) bbWidth * 0.35D, bb.minY + 0.5D, z + (double) bbWidth * 0.35D);
-        checkInTile(x - (double) bbWidth * 0.35D, bb.minY + 0.5D, z - (double) bbWidth * 0.35D);
-        checkInTile(x + (double) bbWidth * 0.35D, bb.minY + 0.5D, z - (double) bbWidth * 0.35D);
-        checkInTile(x + (double) bbWidth * 0.35D, bb.minY + 0.5D, z + (double) bbWidth * 0.35D);
-        boolean canSprint = world.getGameRuleValue(GameRules.ALLOW_SPRINTING) && !this.noPhysics;
-        if (onGround && !forwardInput && input.moveForward >= f && !isSprinting() && canSprint)
+        checkInTile(this.x - (double) this.bbWidth * 0.35D, this.bb.minY + 0.5D, this.z + (double) this.bbWidth * 0.35D);
+        checkInTile(this.x - (double) this.bbWidth * 0.35D, this.bb.minY + 0.5D, this.z - (double) this.bbWidth * 0.35D);
+        checkInTile(this.x + (double) this.bbWidth * 0.35D, this.bb.minY + 0.5D, this.z - (double) this.bbWidth * 0.35D);
+        checkInTile(this.x + (double) this.bbWidth * 0.35D, this.bb.minY + 0.5D, this.z + (double) this.bbWidth * 0.35D);
+        boolean canSprint = this.world.getGameRuleValue(GameRules.ALLOW_SPRINTING) && !this.noPhysics;
+        if (this.onGround && !forwardInput && this.input.moveForward >= f && !isSprinting() && canSprint)
         {
-            if (sprintTimer == 0)
+            if (this.sprintTimer == 0)
             {
-                sprintTimer = 7;
+                this.sprintTimer = 7;
             }
             else
             {
                 setSprinting(true);
-                sprintTimer = 0;
+                this.sprintTimer = 0;
             }
         }
-        if (onGround && canSprint && mc.gameSettings.keySprint.isPressed())
+        if (this.onGround && canSprint && this.mc.gameSettings.keySprint.isPressed())
         {
             setSprinting(true);
         }
-        if (isSprinting() && (input.moveForward < f || horizontalCollision || !canSprint))
+        if (isSprinting() && (this.input.moveForward < f || this.horizontalCollision || !canSprint))
         {
             setSprinting(false);
         }
         super.onLivingUpdate();
 
-        WorldTypeFXDispatcher.getInstance().getDispatch(world.getWorldType()).playerAnimationTick(world, this);
+        WorldTypeFXDispatcher.getInstance().getDispatch(this.world.getWorldType()).playerAnimationTick(this.world, this);
     }
     
     @Override
     public void wakeUpPlayer(boolean flag, boolean flag1) {
         super.wakeUpPlayer(flag, flag1);
-        mc.displayScreen(null);
+        this.mc.displayScreen(null);
     }
     
     @Override
     public void addAdditionalSaveData(@NotNull CompoundTag tag)
     {
         super.addAdditionalSaveData(tag);
-        tag.putInt("Score", score);
+        tag.putInt("Score", this.score);
     }
 
     @Override
     public void readAdditionalSaveData(@NotNull CompoundTag tag)
     {
         super.readAdditionalSaveData(tag);
-        score = tag.getInteger("Score");
+        this.score = tag.getInteger("Score");
     }
 
     @Override
     public void closeScreen()
     {
         super.closeScreen();
-        mc.displayScreen(null);
+        this.mc.displayScreen(null);
     }
 
     @Override
     public void displaySignEditorScreen(TileEntitySign tileEntity)
     {
-        mc.displayScreen(new ScreenSignEditor(tileEntity));
+        this.mc.displayScreen(new ScreenSignEditor(tileEntity));
     }
 
     @Override
     public void displayFlagEditorScreen(TileEntityFlag tileEntity)
     {
-        mc.displayScreen(new ScreenFlagEditor(this, tileEntity));
+        this.mc.displayScreen(new ScreenFlagEditor(this, tileEntity));
     }
 
     @Override
     public void displayContainerScreen(Container container)
     {
-        mc.displayScreen(new ScreenContainer(inventory, container));
+        this.mc.displayScreen(new ScreenContainer(this.inventory, container));
     }
 
     public void displayChestScreen(Container container, double x, double y, double z)
@@ -284,96 +284,96 @@ public class PlayerLocal extends Player
 
     @Override
     public void displayNBTEditor(@Nullable CompoundTag tag, @Nullable Function<@NotNull CompoundTag, Void> exitAction) {
-        mc.displayScreen(new ScreenNBTEditor("NBT Viewer", tag, exitAction));
+        this.mc.displayScreen(new ScreenNBTEditor("NBT Viewer", tag, exitAction));
     }
 
     @Override
-    public void displayWorkbenchScreen(@NotNull TilePos tilePos)
+    public void displayWorkbenchScreen(@NotNull TilePosc tilePos)
     {
-        mc.displayScreen(new ScreenCrafting(inventory, world, tilePos));
+        this.mc.displayScreen(new ScreenCrafting(this.inventory, this.world, tilePos));
     }
 
     @Override
     public void displayLabelEditorScreen(ItemStack itemStack, int slot)
     {
-        mc.displayScreen(new ScreenLabelEditor(itemStack, slot));
+        this.mc.displayScreen(new ScreenLabelEditor(itemStack, slot));
     }
 
     @Override
     public void displayPaintingPickerScreen()
     {
-        mc.displayScreen(new ScreenPaintingPicker(this));
+        this.mc.displayScreen(new ScreenPaintingPicker(this));
     }
 
     @Override
-    public void displayMobPickerScreen(@NotNull TilePos tilePos) {
-        String currentMobId = ((TileEntityMobSpawner) world.getTileEntity(tilePos)).getMobId();
-        mc.displayScreen(new ScreenMobPicker(currentMobId, tilePos));
+    public void displayMobPickerScreen(@NotNull TilePosc tilePos) {
+        String currentMobId = ((TileEntityMobSpawner) this.world.getTileEntity(tilePos)).getMobId();
+        this.mc.displayScreen(new ScreenMobPicker(currentMobId, tilePos));
     }
     @Override
     public void displayWandMobPickerScreen(ItemStack itemStack) {
         String currentMobId = itemStack.getData().getStringOrDefault("monster", "Pig");
-        mc.displayScreen(new ScreenWandMobPicker(currentMobId, itemStack));
+        this.mc.displayScreen(new ScreenWandMobPicker(currentMobId, itemStack));
     }
 
     @Override
     public void displayFurnaceScreen(TileEntityFurnace tileEntity)
     {
-        mc.displayScreen(new ScreenFurnace(inventory, tileEntity));
+        this.mc.displayScreen(new ScreenFurnace(this.inventory, tileEntity));
     }
 
     @Override
     public void displayBlastFurnaceScreen(final TileEntityFurnaceBlast tileEntity) {
-        mc.displayScreen(new ScreenFurnaceBlast(inventory, tileEntity));
+        this.mc.displayScreen(new ScreenFurnaceBlast(this.inventory, tileEntity));
     }
 
     @Override
     public void displayTrommelScreen(TileEntityTrommel tileEntity)
     {
-        mc.displayScreen(new ScreenTrommel(inventory, tileEntity));
+        this.mc.displayScreen(new ScreenTrommel(this.inventory, tileEntity));
     }
 
     @Override
     public void displayDispenserScreen(TileEntityDispenser tileEntity)
     {
-        mc.displayScreen(new ScreenDispenser(inventory, tileEntity));
+        this.mc.displayScreen(new ScreenDispenser(this.inventory, tileEntity));
     }
 
     @Override
     public void displayActivatorScreen(TileEntityActivator tileEntity)
     {
-        mc.displayScreen(new ScreenActivator(inventory, tileEntity));
+        this.mc.displayScreen(new ScreenActivator(this.inventory, tileEntity));
     }
 
     @Override
     public void displayGuidebookScreen() {
-        mc.displayScreen(new ScreenGuidebook(mc.currentScreen));
+        this.mc.displayScreen(new ScreenGuidebook(this.mc.currentScreen));
     }
 
     @Override
     public void onItemPickup(Entity entity, ItemStack item)
     {
         addStat(item.getItem().getStat(StatList.STAT_PICKED_UP), 1);
-        mc.particleEngine.add(new ParticlePickupAnimation(mc.currentWorld, entity, this, -0.5F));
+        this.mc.particleEngine.add(new ParticlePickupAnimation(this.mc.currentWorld, entity, this, -0.5F));
     }
 
     public int getPlayerProtectionAmount()
     {
-        return inventory.getTotalArmourPoints();
+        return this.inventory.getTotalArmourPoints();
     }
 
     public void sendChatMessage(String s) {
     	addToSendHistory(s);
         if (s.startsWith("/")) {
             String command = s.substring(1);
-            ClientCommandSource clientCommandSource = new ClientCommandSource(mc);
+            ClientCommandSource clientCommandSource = new ClientCommandSource(this.mc);
             try {
                 this.world.getCommandManager().execute(command, clientCommandSource);
             } catch (CommandSyntaxException e) {
-                mc.thePlayer.sendMessage(TextFormatting.RED + e.getMessage());
+                this.mc.thePlayer.sendMessage(TextFormatting.RED + e.getMessage());
             }
         } else {
-            mc.hudIngame.addChatMessage("<" + getDisplayName() + TextFormatting.RESET + "> " + TextFormatting.WHITE + s);
+            this.mc.hudIngame.addChatMessage("<" + getDisplayName() + TextFormatting.RESET + "> " + TextFormatting.WHITE + s);
         }
     }
     
@@ -381,21 +381,21 @@ public class PlayerLocal extends Player
     	if(msg == null || msg.isEmpty()) {
     		return;
     	}
-    	for(int i=0; i < messageHistory.size(); i++) {
-    		if(messageHistory.get(i).equals(msg)) {
-    			messageHistory.remove(i--);
+    	for(int i = 0; i < this.messageHistory.size(); i++) {
+    		if(this.messageHistory.get(i).equals(msg)) {
+                this.messageHistory.remove(i--);
     		}
     	}
-        messageHistory.add(msg);
-        if(messageHistory.size() > 100) {
-        	messageHistory.remove(0);
+        this.messageHistory.add(msg);
+        if(this.messageHistory.size() > 100) {
+            this.messageHistory.remove(0);
         }
     }
     
     @Override
     public boolean wantSneak()
     {
-        return (input != null && input.sneak) && !sleeping;
+        return (this.input != null && this.input.sneak) && !this.sleeping;
     }
 
     public void setHealth(int i)
@@ -406,22 +406,22 @@ public class PlayerLocal extends Player
             setHealthRaw(i);
             if(j < 0)
             {
-                heartsFlashTime = heartsHalvesLife / 2;
+                this.heartsFlashTime = this.heartsHalvesLife / 2;
             }
         } else
         {
-            lastDamage = j;
-            prevHealth = getHealth();
-            heartsFlashTime = heartsHalvesLife;
+            this.lastDamage = j;
+            this.prevHealth = getHealth();
+            this.heartsFlashTime = this.heartsHalvesLife;
             damageEntity(j, null);
-            hurtTime = maxHurtTime = 10;
+            this.hurtTime = this.maxHurtTime = 10;
         }
     }
 
     @Override
     public void respawnPlayer()
     {
-        mc.respawn(false, 0);
+        this.mc.respawn(false, 0);
     }
 
     @Override
@@ -437,24 +437,24 @@ public class PlayerLocal extends Player
         }
         if(stat.isAchievement()) {
             Achievement achievement = (Achievement)stat;
-            if(achievement.parent == null || mc.statsCounter.isUnlocked(achievement.parent))
+            if(achievement.parent == null || this.mc.statsCounter.isUnlocked(achievement.parent))
             {
-                if(!mc.statsCounter.isUnlocked(achievement))
+                if(!this.mc.statsCounter.isUnlocked(achievement))
                 {
-                    mc.guiToasts.addToast(new AchievementToast(achievement, false));
+                    this.mc.guiToasts.addToast(new AchievementToast(achievement, false));
                 }
-                mc.statsCounter.add(stat, i);
+                this.mc.statsCounter.add(stat, i);
             }
         } else
         {
-            mc.statsCounter.add(stat, i);
+            this.mc.statsCounter.add(stat, i);
         }
     }
     
     @Override
     public int getStat(Stat stat)
     {
-        return mc.statsCounter.readStat(stat);
+        return this.mc.statsCounter.readStat(stat);
     }
 
     @Override
@@ -504,17 +504,17 @@ public class PlayerLocal extends Player
     }
 
     public void syncPlacementMode() {
-        this.placementModeOverride = mc.gameSettings.placementMode.value;
+        this.placementModeOverride = this.mc.gameSettings.placementMode.value;
     }
     
 	@Override
 	public void sendMessage(String message) {
-		mc.hudIngame.addChatMessage(message);
+        this.mc.hudIngame.addChatMessage(message);
 	}
 
 	@Override
 	public void sendStatusMessage(String message) {
-		mc.hudIngame.heldItemTooltipElement.setString(message);
+        this.mc.hudIngame.heldItemTooltipElement.setString(message);
 	}
 
     @Override
@@ -524,8 +524,8 @@ public class PlayerLocal extends Player
 
     @Override
     public void handleSpecialVehicleControl() {
-        if (vehicle instanceof EntityBoat) {
-            ((EntityBoat) vehicle).controlBoat(-input.moveForward, -input.moveStrafe);
+        if (this.vehicle instanceof EntityBoat) {
+            ((EntityBoat) this.vehicle).controlBoat(-this.input.moveForward, -this.input.moveStrafe);
         }
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenConnecting.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenConnecting.java
index 96294d34a..5155cf0d2 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenConnecting.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenConnecting.java
@@ -5,7 +5,7 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.server.ScreenSelectServer;
 import net.minecraft.client.net.handler.PacketHandlerClient;
 import net.minecraft.core.lang.I18n;
-import net.minecraft.core.net.packet.PacketPreLogin;
+import net.minecraft.core.net.packet.PacketHandshake;
 import org.jetbrains.annotations.NotNull;
 import org.slf4j.Logger;
 
@@ -28,7 +28,7 @@ public class ScreenConnecting extends Screen
                 {
                     return;
                 }
-                clientHandler.addToSendQueue(new PacketPreLogin(mc.session.username));
+                clientHandler.addToSendQueue(new PacketHandshake(mc.session.username));
             }
             catch(UnknownHostException unknownhostexception)
             {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenMobPicker.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenMobPicker.java
index d7c2258fe..7c0116add 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenMobPicker.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenMobPicker.java
@@ -9,6 +9,7 @@ import net.minecraft.core.entity.animal.MobFireflyCluster;
 import net.minecraft.core.net.packet.PacketSetMobSpawner;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.world.pos.TilePos;
+import net.minecraft.core.world.pos.TilePosc;
 import org.jetbrains.annotations.NotNull;
 
 import java.lang.reflect.Modifier;
@@ -23,9 +24,9 @@ public class ScreenMobPicker
     private boolean shouldClose = false;
 
 
-    public ScreenMobPicker(String mobId, @NotNull TilePos tilePos) {
+    public ScreenMobPicker(String mobId, @NotNull TilePosc tilePos) {
         this.mobId = mobId;
-        this.tilePos = tilePos;
+        this.tilePos = new TilePos(tilePos);
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenCrafting.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenCrafting.java
index 8c53f7b8e..eb8c025c0 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenCrafting.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenCrafting.java
@@ -6,12 +6,13 @@ import net.minecraft.core.player.inventory.container.ContainerInventory;
 import net.minecraft.core.player.inventory.menu.MenuCrafting;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.pos.TilePos;
+import net.minecraft.core.world.pos.TilePosc;
 import org.jetbrains.annotations.NotNull;
 import org.lwjgl.opengl.GL11;
 
 public class ScreenCrafting extends ScreenContainerAbstract
 {
-    public ScreenCrafting(@NotNull ContainerInventory inventory, @NotNull World world, @NotNull TilePos tilePos)
+    public ScreenCrafting(@NotNull ContainerInventory inventory, @NotNull World world, @NotNull TilePosc tilePos)
     {
         super(new MenuCrafting(inventory, world, tilePos));
     }
